aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-file-listing/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-01 13:19:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-01 13:19:53 +0000
commit7e2080f94723e066a7945cc192db2aad7930305c (patch)
tree03ebd9293f63648e864bd05cc46312c9838180f3 /main/perl-file-listing/APKBUILD
parent9202f7c1c9e2c6b73ac317550376dd54f970b72e (diff)
downloadaports-7e2080f94723e066a7945cc192db2aad7930305c.tar.gz
aports-7e2080f94723e066a7945cc192db2aad7930305c.tar.bz2
aports-7e2080f94723e066a7945cc192db2aad7930305c.tar.xz
main/perl-file-listing: new aport
File::Listing perl module http://search.cpan.org/dist/File-Listing/
Diffstat (limited to 'main/perl-file-listing/APKBUILD')
-rw-r--r--main/perl-file-listing/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/perl-file-listing/APKBUILD b/main/perl-file-listing/APKBUILD
new file mode 100644
index 0000000000..a87de1537c
--- /dev/null
+++ b/main/perl-file-listing/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-file-listing
+pkgver=6.02
+pkgrel=0
+pkgdesc="File::Listing perl module"
+url="http://search.cpan.org/dist/File-Listing/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-http-date"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/File-Listing-$pkgver.tar.gz"
+
+_builddir="$srcdir"/File-Listing-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="57349906cdb1d2be954bc9ec44c961bf File-Listing-6.02.tar.gz"